Package org.eclipse.emf.cdo.spi.server

# Interface IAppExtension

All Known Subinterfaces:
  `IAppExtension2`, `IAppExtension3`, `IAppExtension4`, `IAppExtension5`

All Known Implementing Classes:
  `AbstractAppExtension`, `AppExtension`, `LMAppExtension`

public interface IAppExtension
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXT_POINT`

## Method Summary

Modifier and Type
Method
Description
`void`
`start(File configFile)`
`void`
`stop()`

## Field Details

### EXT_POINT

static final String EXT_POINT

See Also:
  - Constant Field Values

## Method Details

### start

void start(File configFile) throws Exception

Throws:
  `Exception`

### stop

void stop() throws Exception

Throws:
  `Exception`